none
VS2019 无法使用Core 3.0创建项目. RRS feed

  • 问题

  • 网上找了很多类似的问题的解决方案.都是只需要在VS中 工具->选项->环境->预览功能中勾选"use previews of the .NET Core SDK"就可以了.但是我试了还是不行.

    2019年8月23日 5:51

全部回复

  • Hi yonggao,

    感谢你在MSDN论坛提问。

    据我所知,.NET Core 3.0 preview8支持的是vs2019 v16.3版本以及最新的vs preview版本,根据你所描述的情况,我们建议你在控制面板中卸载.NET Core preview8,并安装.NET Core3.0 preview6(支持vs 2019 v16.2 和最新的vs preview版本)。安装完成后重启一下vs 2019,然后你可以检查下是否可以使用.NET Core3.0 创建你所需要的项目。你也可以参考一下.NET Core 3.0 的支持情况

    希望我的回答对你有帮助。

    Best Regards

    Tianyu


    MSDN Community Support
    Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com.

    2019年8月23日 10:42
  • Hi yonggao,

    根据你的描述,你在你本地visual studio enterprise 2019安装的是.net core 3.0 preview 8 版本,但是据我所知,目前最新的这个版本只支持vs16.3及以上的版本,正如tianyu所说。

    如果你坚持想要使用.net core 3.0 preview 8的话,我们推荐你安装使用visual studio 2019 preview版本,他确实可以在你创建的 .net core web application里面使用.net core 3.0版本。

    如果你想在你当前的visual studio enterprise 2019 16.2.3版本使用,我们推荐安装.net core 3.0 preview 6。它可以在你的vs 16.2.3版本创建的项目里选择 .net core3.0。

    期待你的任何反馈。

    Best Regards,

    Perry


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    2019年8月27日 10:51